<?php
/**
 * YOOtheme template
 *
 * @author yootheme.com
 * @copyright Copyright (C) 2007 YOOtheme Ltd & Co. KG. All rights reserved.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/yootools.php');
include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/yoolayout.php');

$template_baseurl = $this->baseurl . '/templates/' . $this->template;

JHTML::_('behavior.mootools');

// add template mootools to JDocumentHTML
if ($this->params->get('loadMootools')) {
	$this->_scripts = array_merge(array($template_baseurl . '/lib/js/mootools.js.php' => 'text/javascript'), $this->_scripts);
	unset($this->_scripts[$this->baseurl . '/media/system/js/mootools.js']);
}

// add template javascript to JDocumentHTML
if ($this->params->get('loadJavascript')) {
	$this->addScriptDeclaration($yTools->getJavaScript());
	$this->addCustomTag('<script type="text/javascript" src="' . $template_baseurl . '/lib/js/template.js.php"></script>');
}

// add template css to JDocumentHTML
$this->addStyleSheet($template_baseurl . '/css/template.css.php?color=' . $yTools->getCurrentColor()
															. '&amp;styleswitcherFont=' . $this->params->get('styleswitcherFont')
															. '&amp;styleswitcherWidth=' . $this->params->get('styleswitcherWidth')
															. '&amp;widthThinPx=' . $this->params->get('widthThinPx')
															. '&amp;widthWidePx=' . $this->params->get('widthWidePx')
															. '&amp;widthFluidPx=' . $this->params->get('widthFluidPx'));

$this->addStyleSheet($template_baseurl . '/lib/js/lightbox/css/slimbox.css');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>
<jdoc:include type="head" />
</head>

<body id="page" class="<?php echo $yTools->getCurrentStyle(); ?> <?php echo $itemcolor; ?>">

	

	<?php if($this->params->get('toppanel') && $this->countModules('cpanel')) { ?>
	<div id="toppanel-container">
			
		<div id="toppanel-wrapper">
			<div id="toppanel">
				<div class="panel">
						
					<div class="close">
						close
					</div>
							
					<div class="cpanel">
						<jdoc:include type="modules" name="cpanel" style="xhtml" />
					</div>
									
				</div>
			</div>
		</div>
							
		<div class="trigger">
			<div class="trigger-l correct-png"></div>
			<div class="trigger-m"><?php echo $this->params->get('textToppanel'); ?></div>
			<div class="trigger-r correct-png"></div>
		</div>
					
	</div>
	<?php } ?>

	<div id="page-body">
		<div class="wrapper floatholder">
		
			<div class="wrapper-outer">
				<div class="wrapper-inner">
		
					<div id="toolbar">
						<div class="floatbox ie_fix_floats">
						
							<?php if($this->params->get('date')) { ?>
							<div id="date">
								<?php echo $date->toFormat(JText::_('DATE_FORMAT_LC')); ?>
							</div>
							<?php } ?>
						
							<div id="topmenu">
								<jdoc:include type="modules" name="topmenu" />
							</div>
						
							<?php if($this->params->get('styleswitcherFont') || $this->params->get('styleswitcherWidth')) { ?>
							<div id="styleswitcher">
								<?php if($this->params->get('styleswitcherWidth')) { ?>
								<a id="switchwidthfluid" href="javascript:void(0)" title="Fluid width"></a>
								<a id="switchwidthwide" href="javascript:void(0)" title="Wide width"></a>
								<a id="switchwidththin" href="javascript:void(0)" title="Thin width"></a>
								<?php } ?>
								<?php if($this->params->get('styleswitcherFont')) { ?>
								<a id="switchfontlarge" href="javascript:void(0)" title="Increase font size"></a>
								<a id="switchfontmedium" href="javascript:void(0)" title="Default font size"></a>
								<a id="switchfontsmall" href="javascript:void(0)" title="Decrease font size"></a>
								<?php } ?>
							</div>
							<?php } ?>
							
							<?php if($this->countModules('top')) { ?>
							<div id="topmodule">
								<jdoc:include type="modules" name="top" />
							</div>
							<?php } ?>

							<?php if($this->countModules('search')) { ?>
							<div id="search">
								<jdoc:include type="modules" name="search" />
							</div>
							<?php } ?>
									
						</div>
					</div>

					<?php if ($this->countModules('top1 + top2 + top3 + top4')) { ?>
					<div id="top">
						<div class="top-tl">
							<div class="top-tr">
								<div class="top-bl">
									<div class="top-br">
										<div>
										
											<div class="floatbox ie_fix_floats">
																		
												<?php if($this->countModules('top1')) { ?>
												<div class="topbox <?php echo $topboxwidth; ?> <?php echo $topbox12seperator; ?> float-left">
													<jdoc:include type="modules" name="top1" style="rounded" />
												</div>
												<?php } ?>
																			
												<?php if($this->countModules('top2')) { ?>
												<div class="topbox <?php echo $topboxwidth; ?> <?php echo $topbox23seperator; ?> float-left">
													<jdoc:include type="modules" name="top2" style="rounded" />
												</div>
												<?php } ?>
																				
												<?php if($this->countModules('top3')) { ?>
												<div class="topbox <?php echo $topboxwidth; ?> <?php echo $topbox34seperator; ?> float-left">
													<jdoc:include type="modules" name="top3" style="rounded" />
												</div>
												<?php } ?>
												
												<?php if($this->countModules('top4')) { ?>
												<div class="topbox <?php echo $topboxwidth; ?> float-left">
													<jdoc:include type="modules" name="top4" style="rounded" />
												</div>
												<?php } ?>
																	
											</div>
											
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<?php } ?>

					<div id="header">
						<div class="header-tl">
							<div class="header-tr">
								<div class="header-bl">
									<div class="header-br">
										<div class="header-bg">
									
											<div class="floatbox ie_fix_floats">
							
												<a href="<?php echo $this->baseurl ?>" title="Home"><span id="logo" class="correct-png"></span></a>
							
												<span id="illustration" class="correct-png"></span>
							
												<?php if ($this->countModules('banner')) { ?>
												<div id="banner">
													<jdoc:include type="modules" name="banner" />
												</div>
												<?php } ?>
							
												<div id="headermodule">
													<jdoc:include type="modules" name="header" />
												</div>

											</div>
										
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>

					<?php if($this->countModules('menu')) { ?>		
					<div id="menu">
						<jdoc:include type="modules" name="menu" />
					</div>
					<?php } ?>

					<div id="middle">
						<div class="background <?php echo $layoutstyle; ?>">
		
							<?php if($this->countModules('left')) { ?>
							<div id="left">
								<div id="left_container" class="clearingfix">
								
									<jdoc:include type="modules" name="left" style="rounded" />
									
								</div>
							</div>
							<?php } ?>
			
							<div id="main">
								<div id="main_container" class="clearingfix">
		
									<?php if ($this->countModules('user1 + user2')) { ?>
									<div id="maintop" class="floatbox">
							
										<?php if($this->countModules('user1')) { ?>
										<div class="maintopbox <?php echo $maintopboxwidth; ?> <?php echo $maintopbox12seperator; ?> float-left">
											<jdoc:include type="modules" name="user1" style="rounded" />
										</div>
										<?php } ?>
		
										<?php if($this->countModules('user2')) { ?>
										<div class="maintopbox <?php echo $maintopboxwidth; ?> float-left">
											<jdoc:include type="modules" name="user2" style="rounded" />
										</div>
										<?php } ?>
											
									</div>
									<?php } ?>

									<div id="mainmiddle" class="floatbox <?php echo $rightbackground; ?>">
		
										<?php if($this->countModules('right')) { ?>
										<div id="right">
											<div id="right_container" class="clearingfix">
												<jdoc:include type="modules" name="right" style="rounded" />
											</div>
										</div>
										<?php } ?>
						
										<div id="content">
											<div id="content_container" class="clearingfix">
		
												<?php if ($this->countModules('advert1 + advert2')) { ?>
												<div id="contenttop">
													<div class="contenttop-l">
														<div class="contenttop-r floatbox">
											
															<?php if($this->countModules('advert1')) { ?>
															<div class="contenttopbox left <?php echo $contenttopboxwidth; ?> <?php echo $contenttopbox12seperator; ?> float-left">
																<jdoc:include type="modules" name="advert1" style="rounded" />
															</div>
															<?php } ?>
											
															<?php if($this->countModules('advert2')) { ?>
															<div class="contenttopbox right <?php echo $contenttopboxwidth; ?> float-left">
																<jdoc:include type="modules" name="advert2" style="rounded" />
															</div>
															<?php } ?>
		
														</div>
													</div>
												</div>
												<?php } ?>
		
												<?php if ($this->countModules('breadcrumb')) { ?>
												<div id="breadcrumb">
													<jdoc:include type="modules" name="breadcrumb" />
												</div>
												<?php } ?>
						
												<div class="floatbox">
													<jdoc:include type="message" />
													<jdoc:include type="component" />
												</div>
		
												<?php if ($this->countModules('advert3 + advert4')) { ?>
												<div id="contentbottom">
													<div class="contentbottom-l">
														<div class="contentbottom-r floatbox">
														
															<?php if($this->countModules('advert3')) { ?>
															<div class="contentbottombox left <?php echo $contentbottomboxwidth; ?> <?php echo $contentbottombox12seperator; ?> float-left">
																<jdoc:include type="modules" name="advert3" style="rounded" />
															</div>
															<?php } ?>
											
															<?php if($this->countModules('advert4')) { ?>
															<div class="contentbottombox right <?php echo $contentbottomboxwidth; ?> float-left">
																<jdoc:include type="modules" name="advert4" style="rounded" />
															</div>
															<?php } ?>
									
														</div>
													</div>
												</div>
												<?php } ?>
		
											</div>
										</div>
		
									</div>

									<?php if ($this->countModules('user3 + user4')) { ?>
									<div id="mainbottom" class="floatbox">
					
										<?php if($this->countModules('user3')) { ?>
										<div class="mainbottombox <?php echo $mainbottomboxwidth; ?> <?php echo $mainbottombox12seperator; ?> float-left">
											<jdoc:include type="modules" name="user3" style="rounded" />
										</div>
										<?php } ?>
					
										<?php if($this->countModules('user4')) { ?>
										<div class="mainbottombox <?php echo $mainbottomboxwidth; ?> float-left">
											<jdoc:include type="modules" name="user4" style="rounded" />
										</div>
										<?php } ?>
										
									</div>
									<?php } ?>

								</div>
							</div>
						
						</div>
					</div>

					<?php if ($this->countModules('bottom1 + bottom2 + bottom3 + bottom4')) { ?>
					<div id="bottom">
						<div class="floatbox ie_fix_floats">
														
							<?php if($this->countModules('bottom1')) { ?>
							<div class="bottombox <?php echo $bottomboxwidth; ?> <?php echo $bottombox12seperator; ?> float-left">
								<jdoc:include type="modules" name="bottom1" style="rounded" />
							</div>
							<?php } ?>
																					
							<?php if($this->countModules('bottom2')) { ?>
							<div class="bottombox <?php echo $bottomboxwidth; ?> <?php echo $bottombox23seperator; ?> float-left">
								<jdoc:include type="modules" name="bottom2" style="rounded" />
							</div>
							<?php } ?>
							
							<?php if($this->countModules('bottom3')) { ?>
							<div class="bottombox <?php echo $bottomboxwidth; ?> <?php echo $bottombox34seperator; ?> float-left">
								<jdoc:include type="modules" name="bottom3" style="rounded" />
							</div>
							<?php } ?>
																					
							<?php if($this->countModules('bottom4')) { ?>
							<div class="bottombox <?php echo $bottomboxwidth; ?> float-left">
								<jdoc:include type="modules" name="bottom4" style="rounded" />
							</div>
							<?php } ?>
														
						</div>
					</div>
					<?php } ?>
					
				</div>
			</div>
			
			<div id="footer">     <?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                        <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
                                        <?php } ?> 

				<?php if($this->countModules('footer')) { ?>
				<div id="footermodule">
					<jdoc:include type="modules" name="footer" />
				</div>
				
				<span class="footer-bg correct-png"></span>
				<?php } ?>
		
			</div>
			
			<jdoc:include type="modules" name="debug" />
			
		</div>
	</div>

</body>
</html>